WebRender для видеокарт AMD/Intel и защита от MITM-атак в Firefox

В ночных сборках Firefox, на базе которых формируется релиз Firefox 67, расширено применение системы композитинга Servo WebRender, которая теперь включена по умолчанию для некоторых GPU AMD (CIK, VI, GFX9) и Intel (HD Graphics P530/530/630, UHD Graphics 630, Iris Pro Graphics P555). В настоящее время по умолчанию заявлена поддержка лишь отдельных видеокарт, но по мере тестирования список будет расширяться. Напомним, что ранее WebRender был предложен для тестирования только пользователям видеокарт NVIDIA.

Реализация WebRender написана на языке Rust и позволяет вынести на сторону GPU операции отрисовки содержимого страницы. При использовании WebRender вместо встроенной в движок Gecko системы композитинга, обрабатывающей данные при помощи CPU, для выполнения операций сводной отрисовки элементов страницы используются шейдеры, выполняемые в GPU, что позволяет добиться существенного увеличения скорости отрисовки и снизить нагрузку на CPU. Активировать WebRender можно через переменные "gfx.webrender.all.qualified" и "gfx.webrender.all" в about:config.

Дополнительно можно отметить временную приостановку распространения автоматических обновлений с Firefox 65 для платформы Windows из-за выявления серьёзной несовместимости с некоторыми антивирусами, которая приводит к выводу ошибки SEC_ERROR_UNKNOWN_ISSUER при попытке открытия сайтов по HTTPS. Проблема проявляется при включении в антивирусах Avast, AVG, Kaspersky, ESET и Bitdefender модуля защиты Web, который анализирует HTTPS-трафик через подстановку своего сертификата в список корневых сертификатов Windows и подмену на него изначально используемых сертификатов сайтов. Firеfox использует собственный список корневых сертификатов и игнорирует системный список сертификатов, поэтому воспринимает подобную активность как MITM-атаку. Столкнувшимся с проблемой пользователям рекомендуется отключить модуль сканирования HTTPS в антивирусах или разрешить в Firefox использовать системный список сертификатов (security.enterprise_roots.enabled в about:config).

В Firefox 66 планируется выводить отдельное предупреждение (MOZILLA_PKIX_ERROR_MITM_DETECTED) при выявлении подмены сертификатов и перехвата трафика HTTPS из-за активности антивирусов, вредоносного ПО или вмешательства в трафик провайдера.

Источник: OpenNET